create subaccount
curl --request POST \
--url https://console.vast.ai/api/v0/users \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "user@example.com",
"username": "testuser123",
"password": "securepass123",
"host_only": true,
"parent_id": "me",
"ssh_key": "<string>",
"captcha": "<string>"
}
'import requests
url = "https://console.vast.ai/api/v0/users"
payload = {
"email": "user@example.com",
"username": "testuser123",
"password": "securepass123",
"host_only": True,
"parent_id": "me",
"ssh_key": "<string>",
"captcha": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: 'user@example.com',
username: 'testuser123',
password: 'securepass123',
host_only: true,
parent_id: 'me',
ssh_key: '<string>',
captcha: '<string>'
})
};
fetch('https://console.vast.ai/api/v0/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 12345,
"username": "testuser",
"email": "user@example.com",
"key_id": 67890
}{
"error": "invalid_email",
"msg": "Email address not allowed"
}{
"success": false,
"error": "<string>",
"msg": "<string>"
}{
"error": "user_exists",
"msg": "user already exists."
}{
"detail": "API requests too frequent endpoint threshold=3.0"
}Accounts
create subaccount
Creates either a standalone user account or a subaccount under a parent account. Subaccounts can be restricted to host-only functionality.
CLI Usage: vastai create subaccount --email <email> --username <username> --password <password> [--type host]
POST
/
api
/
v0
/
users
create subaccount
Authorizations
API key must be provided in the Authorization header
Body
application/json
User's email address
Maximum string length:
64Pattern:
^(?!.*@vast)[a-zA-Z0-9._%+-]+@[a-zA-Z0-9.-]+\.[a-zA-Z]{2,}$Example:
"user@example.com"
Desired username
Maximum string length:
64Example:
"testuser123"
Account password
Maximum string length:
256Example:
"securepass123"
If true, account is restricted to host functionality only
Example:
true
Parent account ID for subaccounts. Use "me" for current user.
Example:
"me"
Optional SSH public key
Maximum string length:
4096Captcha token (required for non-subaccounts)
Maximum string length:
8192⌘I